import React from "react"

interface Props {
	onclick?: ()=>void
}

const MoreMenuEntry: React.FC<Props> = (props) => {
	return (
		<li 
			className="py-2 px-2 hover:bg-gray-100 dark:hover:bg-gray-900 cursor-pointer text-xl"
			onClick={props.onclick}
		>
			{props.children}
		</li>
	)
}

export default MoreMenuEntry
